from bundlewrap.exceptions import BundleError

if not node.os == 'arch':
    raise BundleError(f'{node.name}: bundle:pacman requires arch linux')

files = {
    '/etc/pacman.conf': {
        'content_type': 'mako',
    },
}

# This is more targeted to GUI systems. This is intentional.

pkg_pacman = {
    'at': {},
    'autoconf': {},
    'automake': {},
    'binutils': {},
    'bison': {},
    'bzip2': {},
    'curl': {},
    'dialog': {},
    'diffutils': {},
    'dnsutils': {},
    'fakeroot': {},
    'file': {},
    'findutils': {},
    'flex': {},
    'fwupd': {},
    'gawk': {},
    'gcc': {},
    'gettext': {},
    'git': {},
    'gnu-netcat': {},
    'grep': {},
    'groff': {},
    'gzip': {},
    'htop': {},
    'ldns': {},
    'less': {},
    'libtool': {},
    'logrotate': {},
    'lsof': {},
    'm4': {},
    'mailutils': {},
    'make': {},
    'moreutils': {},
    'mtr': {},
    'ncdu': {},
    'nmap': {},
    'patch': {},
    'pkgconf': {},
    'python': {},
    'python-setuptools': {
        'needed_by': {
            'pkg_pip:',
        },
    },
    'python-pip': {
        'needed_by': {
            'pkg_pip:',
        },
    },
    'python-virtualenv': {},
    'rsync': {},
    'run-parts': {},
    'sed': {},
    'tar': {},
    'texinfo': {},
    'tmux': {},
    'tree': {},
    'unzip': {},
    'vim': {},
    'wget': {},
    'which': {},
    'whois': {},
    'zip': {},
}

if node.metadata.get('pacman/linux-lts', False):
    pkg_pacman['linux-lts'] = {}
else:
    pkg_pacman['linux'] = {}

for pkg, config in node.metadata.get('pacman/packages', {}).items():
    pkg_pacman[pkg] = config
